.main {
  .banner {
    @include flex-center;
  }

  .posts {
    @include flex-center;

    &-container {
      flex-grow: 1;
    }

    &__cards {
      @include flex-between;
      flex-wrap: wrap;
      gap: 2%;
      margin-bottom: 70px;

      @media screen and (max-width: 1199px) {
        @include flex-column;
        align-items: start;
      }

      &-item {
        @include flex-between;
        gap: 4%;
        margin-bottom: 20px;
        width: 49%;

        @media screen and (max-width: 1199px) {
          width: 76%;
        }

        @media screen and (max-width: 767px) {
          width: 100%;
          flex-direction: column;
        }

        .item-img {
          max-width: 100%;

          @media screen and (max-width: 767px) {
            max-width: 50%;
          }
        }

        .item-desc {
          .item-title {
            color: $title-color;
            font-weight: 700;
            font-size: 1rem;
            line-height: 1.9rem;
          }

          .item-subtitle {
            color: $subtitle-color;
            font-size: 0.75rem;
            line-height: 1.25rem;
          }

          .item-text {
            color: $text-color;
            font-size: 0.9rem;
            line-height: 1.6rem;

            @media screen and (max-width: 767px) {
              display: none;
            }
          }
        }
      }
      @media screen and (max-width: 767px) {
        margin-bottom: 40px;
      }
    }
  }

  .instagram {
    background-color: $section-bg-gray;
    @include flex-center;
    padding-bottom: 50px;

    &-container {
      flex-grow: 1;
    }

    &__heading {
      @include flex-between;

      &-btn {
        color: $title-color;
        font-weight: 700;
        font-size: 0.8rem;
        line-height: 1.4rem;
        text-decoration: none;
        text-transform: uppercase;

        &:after {
          content: " -";
        }

        @media screen and (max-width: 767px) {
          display: none;
        }
      }
    }

    &__title {
      @media screen and (max-width: 767px) {
        display: none;
      }
    }

    &__title-mini {
      display: none;

      @media screen and (max-width: 767px) {
        display: initial;
      }
    }

    &__cards {
      @include flex-around;
      gap: 10px;
      &-item {
        &:nth-child(n + 4) {
          @media screen and (max-width: 1199px) {
            display: none;
          }
        }

        &:nth-child(n + 2) {
          @media screen and (max-width: 767px) {
            display: none;
          }
        }
      }
    }
  }
}
